Defect #32253

Last Mercurial version supported

Added by Guillermo ML almost 2 years ago.

Status:NewStart date:
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:Documentation
Target version:-
Resolution: Affected version:

Description

In RedmineRepositories the Mercurial versions supported are from 1.2 to 4.3.1.

We upgraded Redmine from 3.4.4 to 4.0.4 (centos 6.9 with Mercurial 1.4) and got this error:

hg --config extensions.redminehelper=redminehelper.py rhsummary
*** failed to import extension redminehelper from redminehelper.py: 'module' object has no attribute 'command'
hg: unknown command 'rhsummary'
Mercurial Distributed SCM

We upgraded Mercurial from 1.4 to 4.0 and the problem was solved.

I would update the wiki myself, but I don't know which is the minimum version supported.

Also available in: Atom PDF